System 2.0.0.0 4.0.0.0 System.Enum

The subject key identifier (SKI) provides a unique identification for a certificate's subject when working with XML digital signing. An SKI is an SHA-1 hash of the subject's public key information.

Use the enumeration to define the type of hash algorithm to use with the class when creating an SKI.

Defines the type of hash algorithm to use with the class.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm

  The subject key identifier (SKI) is composed of a 160-bit SHA-1 hash of the encoded public key (including the tag, length, and number of unused bits).

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm

  The SKI is composed of the 160-bit SHA-1 hash of the value of the public key (excluding the tag, length, and number of unused bits).

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509SubjectKeyIdentifierHashAlgorithm

  The SKI is composed of a four-bit type field with the value 0100, followed by the least significant 60 bits of the SHA-1 hash of the value of the public key (excluding the tag, length, and number of unused bit string bits)